Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# HeadControlInterfaces Class Reference

The interfaces of the HeadControl module. More...

`#include <HeadControl.h>`

Inheritance diagram for HeadControlInterfaces:

[legend]
Collaboration diagram for HeadControlInterfaces:

[legend]
List of all members.

## Public Member Functions
| HeadControlInterfaces (const unsigned long &frameNumber, const SensorDataBuffer &sensorDataBuffer, const CameraMatrix &cameraMatrix, const OdometryData &currentOdometryData, const BodyPosture &bodyPosture, const LandmarksPercept &landmarksPercept, const BallModel &ballModel, const RobotPose &robotPose, const LandmarksState &landmarksState, const RobotState &robotState, const MotionRequest &mR, const MotionInfo &motionInfo, const HeadControlMode &headControlMode, const ObstaclesModel &obstaclesModel, const bool headIsBlockedBySpecialActionOrWalk, const GameControlData &gameControlData, HeadMotionRequest &headMotionRequest, PIDData &pidData)
| Constructor.
## Protected Attributes
const unsigned long & | frameNumber
| A reference to the frame number.
const HeadControlMode & | headControlMode
| A modus from the behavior how to move the head.
const RobotPose & | robotPose
| The robots current position and orientation.
const CameraMatrix & | cameraMatrix
| The position and rotation of the camera relative to the robot.
const OdometryData & | currentOdometryData
| The odometry of the last Motion frame.
const LandmarksPercept & | landmarksPercept
| Detected landmarks.
const BallModel & | ballModel
| The position and the speed of the ball.
const SensorDataBuffer & | sensorDataBuffer
| The current body sensor data.
const BodyPosture & | bodyPosture
| The neck height and body tilt.
const MotionRequest & | motionRequest
| motionRequest that is currently executed
const MotionInfo & | motionInfo
| information about the executed motions
const LandmarksState & | landmarksState
| the currently seen landmarks
const RobotState & | robotState
| The current state of the robot.
const bool | headIsBlockedBySpecialActionOrWalk
| Specifies if the head is blocked by a special action or walk.
const GameControlData & | gameControlData
| game Manager
HeadMotionRequest & | headMotionRequest
| Head joint angles that have to be set.
const ObstaclesModel & | obstaclesModel
| obstacles model
PIDData & | pidData
| PID servo gains.

## Detailed Description

The interfaces of the HeadControl module.

Definition at line 51 of file HeadControl.h.

## Constructor & Destructor Documentation

HeadControlInterfaces::HeadControlInterfaces | ( | const unsigned long & | frameNumber,
|  | const SensorDataBuffer & | sensorDataBuffer,
|  | const CameraMatrix & | cameraMatrix,
|  | const OdometryData & | currentOdometryData,
|  | const BodyPosture & | bodyPosture,
|  | const LandmarksPercept & | landmarksPercept,
|  | const BallModel & | ballModel,
|  | const RobotPose & | robotPose,
|  | const LandmarksState & | landmarksState,
|  | const RobotState & | robotState,
|  | const MotionRequest & | mR,
|  | const MotionInfo & | motionInfo,
|  | const HeadControlMode & | headControlMode,
|  | const ObstaclesModel & | obstaclesModel,
|  | const bool | headIsBlockedBySpecialActionOrWalk,
|  | const GameControlData & | gameControlData,
|  | HeadMotionRequest & | headMotionRequest,
|  | PIDData & | pidData
| ) | `[inline]`

| Constructor. Definition at line 55 of file HeadControl.h.

## Member Data Documentation

const unsigned long& HeadControlInterfaces::frameNumber`[protected]`

| A reference to the frame number. Definition at line 97 of file HeadControl.h.

const HeadControlMode& HeadControlInterfaces::headControlMode`[protected]`

| A modus from the behavior how to move the head. Definition at line 100 of file HeadControl.h.

const RobotPose& HeadControlInterfaces::robotPose`[protected]`

| The robots current position and orientation. Definition at line 103 of file HeadControl.h.

const CameraMatrix& HeadControlInterfaces::cameraMatrix`[protected]`

| The position and rotation of the camera relative to the robot. Definition at line 106 of file HeadControl.h.

const OdometryData& HeadControlInterfaces::currentOdometryData`[protected]`

| The odometry of the last Motion frame. Definition at line 109 of file HeadControl.h.

const LandmarksPercept& HeadControlInterfaces::landmarksPercept`[protected]`

| Detected landmarks. Definition at line 112 of file HeadControl.h.

const BallModel& HeadControlInterfaces::ballModel`[protected]`

| The position and the speed of the ball. Definition at line 115 of file HeadControl.h.

const SensorDataBuffer& HeadControlInterfaces::sensorDataBuffer`[protected]`

| The current body sensor data. Definition at line 118 of file HeadControl.h.

const BodyPosture& HeadControlInterfaces::bodyPosture`[protected]`

| The neck height and body tilt. Definition at line 121 of file HeadControl.h.

const MotionRequest& HeadControlInterfaces::motionRequest`[protected]`

| motionRequest that is currently executed Definition at line 124 of file HeadControl.h.

const MotionInfo& HeadControlInterfaces::motionInfo`[protected]`

| information about the executed motions Definition at line 127 of file HeadControl.h.

const LandmarksState& HeadControlInterfaces::landmarksState`[protected]`

| the currently seen landmarks Definition at line 130 of file HeadControl.h.

const RobotState& HeadControlInterfaces::robotState`[protected]`

| The current state of the robot. Definition at line 133 of file HeadControl.h.

const bool HeadControlInterfaces::headIsBlockedBySpecialActionOrWalk`[protected]`

| Specifies if the head is blocked by a special action or walk. Definition at line 136 of file HeadControl.h.

const GameControlData& HeadControlInterfaces::gameControlData`[protected]`

| game Manager Definition at line 139 of file HeadControl.h.

HeadMotionRequest& HeadControlInterfaces::headMotionRequest`[protected]`

| Head joint angles that have to be set. Definition at line 142 of file HeadControl.h.

const ObstaclesModel& HeadControlInterfaces::obstaclesModel`[protected]`

| obstacles model Definition at line 145 of file HeadControl.h.

PIDData& HeadControlInterfaces::pidData`[protected]`

| PID servo gains. Definition at line 148 of file HeadControl.h.

The documentation for this class was generated from the following file:

- Modules/HeadControl/HeadControl.h